import { Icon } from './Icon.jsx'

export const Help = ({}) => (
    <>
        <h3>Selezione Corsi</h3>
        <p>
            Puoi selezionare dei corsi cliccandoli, e nascondere gli altri con il tasto <Icon name="visibility" /> che
            comparirà in basso a destra.
        </p>
        <p>
            La selezione effettuata verrà preservata su tutte le modalità di visualizzazione disponibili, permettendo di individuare eventuali sovrapposizioni.
        </p>
        <p>
            I corsi sono raggruppati per: primo, secondo, terzo anno e magistrale (rispettivamente <b>I</b>, <b>II</b>, <b>III</b> ed <b>M</b> su mobile).
            Altrimenti, puoi scegliere fra tutti i corsi disponibili cliccando su <b>Tutti</b>{' '}
            (tasto <Icon name="apps" /> su mobile).
        </p>
        <h3>Mobile</h3>
        <p>
            Da mobile, ci sono tre visualizzazioni possibili:
            <ul>
                <li>
                    <Icon name="list" /> <b>Corsi</b> mostra una lista dei corsi in ordine
                    alfabetico con ogni lezione per corso
                </li>
                <li>
                    <Icon name="calendar_view_month" /> <b>Schema</b> mostra uno schema compatto dei
                    corsi selezionati
                </li>
                <li>
                    <Icon name="calendar_view_day" />
                    <b>Giorno</b> dà una visualizzazione giornaliera della settimana
                </li>
            </ul>
        </p>
        <h3>Desktop</h3>
        <p>
            Da desktop, si può inoltre visualizzare l'orario settimanale esteso cliccando su <b>Settimana</b>, che
            mostrerà un calendario con i corsi attualmente selezionati.
        </p>
        <h3>Stampa</h3>
        <p>
            Da desktop puoi stampare l'orario attualmente visibile con il bottone{' '}
            <Icon name="print" /> (è consigliato controllare le opzioni di stampa per ottenere un
            risultato soddisfacente).
        </p>
        <h3>Bug &amp; Contatti</h3>
        <p>
            In caso di bug puoi creare una issue sulla repo git del progetto{' '}
            <a href="https://git.phc.dm.unipi.it/phc/orario">
                https://git.phc.dm.unipi.it/phc/orario
            </a>
            , contattarci all'indirizzo{' '}
            <a href="mailto:macchinisti@lists.dm.unipi.it">macchinisti@lists.dm.unipi.it</a> oppure
            passare direttamente in PHC.
        </p>
    </>
)
