import { CompoundButton } from './CompoundButton.jsx'
import { MODE_COURSE, MODE_SCHEDULE, MODE_WORKWEEK_GRID } from './EventsView.jsx'
import { Icon } from './Icon.jsx'

export const OptionBar = ({ mode, setMode, source, setSource }) => {
    return (
        <div class="option-bar">
            <div class="option-group">
                <div class="item option">
                    <CompoundButton
                        options={[
                            { value: 'anno-1', label: 'I' },
                            { value: 'anno-2', label: 'II' },
                            { value: 'anno-3', label: 'III' },
                            { value: 'magistrale', label: 'M' },
                            { value: 'tutti', label: <Icon name="apps" />, icon: true },
                        ]}
                        value={source}
                        setValue={setSource}
                    />
                </div>
            </div>
            <div class="option-group">
                <div class="item option">
                    <CompoundButton
                        options={[
                            {
                                value: MODE_COURSE,
                                label: <Icon name="list" />,
                                icon: true,
                            },
                            {
                                value: MODE_WORKWEEK_GRID,
                                label: <Icon name="calendar_view_month" />,
                                icon: true,
                            },
                            {
                                value: MODE_SCHEDULE,
                                label: <Icon name="calendar_view_day" />,
                                icon: true,
                            },
                        ]}
                        value={mode}
                        setValue={setMode}
                    />
                </div>
            </div>
        </div>
    )
}
