import { useRef } from 'preact/hooks'
import { Icon } from './Icon.jsx'

export const Popup = ({ title, children, onClose }) => {
    const popupLeaveRegionRef = useRef()

    return (
        <div
            class="popup-container"
            ref={popupLeaveRegionRef}
            onClick={e =>
                popupLeaveRegionRef.current && popupLeaveRegionRef.current === e.target && onClose()
            }
        >
            <div class="popup">
                <div class="header">
                    <div class="title">{title}</div>
                    <button class="flat icon" onClick={onClose}>
                        <Icon name="close" />
                    </button>
                </div>
                <div class="content">{children}</div>
            </div>
        </div>
    )
}
