import { defineConfig } from 'vite'

import preact from '@preact/preset-vite'
import { loadEnv } from 'vite'

export default defineConfig(({ mode }) => {
    console.log(`Build Mode: "${mode}"`)

    const env = loadEnv(mode, process.cwd(), '')

    return {
        base: mode === 'development' ? '/' : env.BASE_URL,
        server: {
            port: 3000,
        },
        plugins: [preact()],
        esbuild: {
            logOverride: { 'this-is-undefined-in-esm': 'silent' },
        },
    }
})
